Project Configuration Wizard empty

16 posts, 0 answers
  1. Marcel Härry
    Marcel Härry avatar
    28 posts
    Member since:
    Jul 2009

    Posted 13 Nov 2010 Link to this post

    Hi

    i just installed WPF Q3 2010, and tryed to create a new project.
    The dropdown just below WPF settings is empty (guess i have to select installed version)
    if i click on download button, it says no newer version found.
    loading a simple online sample compiles and works as expected.
    (WIN 7/64 Bit, VS 2010)

    what i'm missing?

  2. David Bakker
    David Bakker avatar
    5 posts
    Member since:
    Apr 2010

    Posted 14 Nov 2010 Link to this post

    Same here but mine shows a really old version that doesnt even exist on my system. VS 2010 Ultimate, Win7 X64
  3. UI for WPF is Visual Studio 2017 Ready
  4. Vanya Pavlova
    Admin
    Vanya Pavlova avatar
    2019 posts

    Posted 15 Nov 2010 Link to this post

    Hi David,

     
    If you have already downloaded and are using RadControls WPF 3.5 Q3 2010 in Visual Studio 2010 you should change the target framework of your current project to 3.5 (the default in Visual Studio 2010 is 4.0) and the dialog box will display the full list of references you need. 

    Please try the approach above and let me know if it works well for you.

    All the best,
    Vanya Pavlova
    the Telerik team
    Do you want to have your say when we set our development plans? Do you want to know when a feature you care about is added or when a bug fixed? Explore the Telerik Public Issue Tracking system and vote to affect the priority of the items
  5. Brent
    Brent avatar
    33 posts
    Member since:
    Jun 2010

    Posted 16 Nov 2010 Link to this post

    Can you not use the lates WPF tools with the 4.0 framework?
  6. Vanya Pavlova
    Admin
    Vanya Pavlova avatar
    2019 posts

    Posted 17 Nov 2010 Link to this post

    Hello Brent,

    We provided controls for both frameworks 3.5 and 4.0. In fact there is no problem to use RadControls WPF 4.0 in Visual Studio 2010 Envrionment or RadControls WPF 3.5 in Visual Studio 2010. In case you need to use RadControls WPF 3.5 in VS 2010 and you want to keep it synchronized with the Project Configuration Wizard you should change the target tramework of your current project. You can also use the option to manually add the references you need.

    Best wishes,
    Vanya Pavlova
    the Telerik team
    See What's New in RadControls for WPF in Q3 2010 on Tuesday, November 16, 2010 11:00 AM - 12:00 PM EST or 10:00 PM - 11:00 PM EST: Register here>>
  7. Calvin
    Calvin avatar
    42 posts
    Member since:
    Jul 2011

    Posted 07 Jul 2011 Link to this post

    Since I've never previously used Telerik controls and I only just downloaded and installed the WPF suite, perhaps I don't understand how project creation supposed to work.


    Be that as it may, the Project Configuration Wizard is not getting populated when I attempt to create a new C# RadControls WPF Application. The Download button in this dialog indicates "Newer version check result: Not found."

    Running VS2010 Ultimate on a 64-bit XP system.
  8. Andrey
    Admin
    Andrey avatar
    244 posts

    Posted 08 Jul 2011 Link to this post

    Hi Calvin,

    There are two separate downloads for RadControls for WPF for .NET 3.5 and .NET 4.0.

    As Vanya stated, the most probable reason for experiencing the issue you describe would be, having installed RadControls for WPF 3.5 and trying to create a .NET 4.0 application or vice versa.

    In order to proceed with creating your application, you could do one of two things:
    • In the "New Project" dialog, select the target framework matching the installed RadControls
    • Install a version of RadControls for WPF, macthing your project's desired target framework

    Best wishes,
    Andrey
    the Telerik team

    Register for the Q2 2011 What's New Webinar Week. Mark your calendar for the week starting July 18th and book your seat for a walk through of all the exciting stuff we will ship with the new release!

  9. Andy
    Andy avatar
    18 posts
    Member since:
    Apr 2011

    Posted 19 Jul 2011 Link to this post

    I have the same problem.  Running VS2010 on 64 bit Windows 7.  The name of the download is RadControls_for_WPF35_2011_2_0712_Dev.msi which would seem to indicate the install is for 3.5.  As of 5:31EST on 7/19/2011 it is the only WPF download available in "My Account".

    Thanks.

    Andy Nelms
  10. Biliana Ficheva
    Admin
    Biliana Ficheva avatar
    99 posts

    Posted 20 Jul 2011 Link to this post

    Hi Andy,

    When you log in to your account go to "Your Account > Your Products", find RadControls for  WPF and below it just next to the green download button you will see a link named "Browse all product files". After selecting the link you will see the automatic installation for WPF 4.

    Best wishes,
    Biliana
    the Telerik team

    Register for the Q2 2011 What's New Webinar Week. Mark your calendar for the week starting July 18th and book your seat for a walk through of all the exciting stuff we will ship with the new release!

  11. John
    John avatar
    12 posts
    Member since:
    Jul 2011

    Posted 04 Nov 2011 Link to this post

    I have the same problem (Windows 7 ultmate x64, VS2010 Premium).  My project is .NET4 CP, I clicked 'browse all' and tried to install the WPF for .NET4, your installer tells me it's already installed.

    I changed my project to 3.5, then your upgrade wizard showed your tools, I added the tools and then changed my project back to 4.0 and your software went back to thinking it wasn't a telerik app.

    Sorry but that's a bug in telerik, either I have WPF 4 tools installed or I don't.  According to your installer I do, according to your VS extensions I don't.  Both are your product and only one can be right as it's a mutually exclusive situation.

  12. John
    John avatar
    12 posts
    Member since:
    Jul 2011

    Posted 04 Nov 2011 Link to this post

    I have the same problem (Windows 7 ultmate x64, VS2010 Premium).  My project is .NET4 CP, I clicked 'browse all' and tried to install the WPF for .NET4, your installer tells me it's already installed.

    I changed my project to 3.5, then your upgrade wizard showed your tools, I added the tools and then changed my project back to 4.0 and your software went back to thinking it wasn't a telerik app.

    Sorry but that's a bug in telerik, either I have WPF 4 tools installed or I don't.  According to your installer I do, according to your VS extensions I don't.  Both are your product and only one can be right as it's a mutually exclusive situation.
  13. Erjan Gavalji
    Admin
    Erjan Gavalji avatar
    1455 posts

    Posted 09 Nov 2011 Link to this post

    Hi John,

    There is a specifics in our distribution model that could have caused the problem. It is that the WPF 3.5 assemblies and the WPF 4.0 ones get distributed through different installers. Thus, if you have RadControls for WPF 3.5 installed and you try to create a Telerik WPF project, targeting .NET 4.0, the RadControls dropdown won't be populated. The opposite (RadControls for WPF 4.0 installed, trying to create a project, targeting .NET 3.5) is true as well.

    Can you check if this is the problem on your side? If yes, you could either install the RadControls for WPF installer, targeting the framework your project utilizes, or you can change the TargetFramework of your project.

    The other option (better yet), is that you download the RadControls for WPF hotfix distributions (for both WPF 3.5 and WPF 4.0) and extract them in an own folder each under the following path: %appdata%\Telerik\Updates. This is the path the VSExtensions download the RadControls assemblies to.

    I'm sorry for the inconvenience. The problem won't exist starting the Q3 2011 release anymore for we'll have the WPF 3.5 and WPF 4.0 assemblies distributed via a single installer.

    Let me know if that helps

    Kind regards,
    Erjan Gavalji
    the Telerik team

    Explore the entire Telerik portfolio by downloading the Ultimate Collection trial package. Get it now >>

  14. Reem
    Reem avatar
    2 posts
    Member since:
    Feb 2013

    Posted 13 Feb 2013 Link to this post

    Hello!

    I downloaded Telerik RadControls Q3 2012 & Silverlight 5 and I am using visual studio 2010. Whenever I try to create a new telerik Silverlight project, I find the project configuration wizard  empty. Note: I only installed silverlight and telerik and havent done any configuration. Please Help!

    Reem
  15. Dimitar
    Admin
    Dimitar avatar
    45 posts

    Posted 15 Feb 2013 Link to this post

    Hi Reem,

    Thank you for contacting us.

    The Rad Controls For Silverlight 5 installer deploys only Silverlight 5 assemblies. When you create a new Silverlight project you select a project framework as a first step. If Silverlight 4 is selected the Project Configuration Wizard will be empty because there aren't Telerik Silverlight 4 assemblies installed on your machine. To create new Telerik Silverlight 5 project you have to choose Silverlight 5 as a project framework on your first step.
     
    Please let me know if this is not the case.  

    All the best,
    Dimitar
    the Telerik team

    Explore the entire Telerik portfolio by downloading Telerik DevCraft Ultimate.

  16. Reem
    Reem avatar
    2 posts
    Member since:
    Feb 2013

    Posted 15 Feb 2013 Link to this post

    Dear Dimitar,

    Thank you for your prompt response.

    Thats exactly the case. The thing is, although I have Silverlight 5 downloaded, the only option I get for the framework is Silverlight 4. What should I do?

    Best Regards,

    Reem
  17. Dimitar
    Admin
    Dimitar avatar
    45 posts

    Posted 18 Feb 2013 Link to this post

    Hi Reem,

    You have to install Microsoft Silverlight 5 Tools for Visual Studio 2010 SP1 (you can download it here: http://www.microsoft.com/en-us/download/details.aspx?id=28358) in order to develop Silverlight 5 applications in Visual Studio 2010. This will enable Silverlight 5 framework as an options when you are creating Silverlight projects. Note that this tools require the SP1 of Visual Studio 2010 to be installed (if you haven't got the SP1 you can download it from here: http://www.microsoft.com/en-us/download/details.aspx?id=23691).

    Please let us know if you need more assistance.

    Greetings,
    Dimitar
    the Telerik team

    Explore the entire Telerik portfolio by downloading Telerik DevCraft Ultimate.

Back to Top
UI for WPF is Visual Studio 2017 Ready